export class ListenerRegistry {
    listeners = new Set();
    on(listener) {
        this.listeners.add(listener);
    }
    off(listener) {
        this.listeners.delete(listener);
    }
    invoke(...args) {
        this.listeners.forEach((l) => l(...args));
    }
}
